/*
Name: Chirag Mandan
Email: chirag.mandan@lexisnexis.com
DataSource:Bureau of Transportation Statistics
(On-Time performance statistics of the Airlines for February 2011)
*/

IMPORT airline_performance_monitor;

airline_performance_monitor.Layout_FlightData JoinXform(airline_performance_monitor.Layout_AirlineInfo l,airline_performance_monitor.Layout_CarrierLookup r) := TRANSFORM
	SELF.AirlineDescription := r.Description;
	
	CarrierDelay := IF(l.CarrierDelay > 0,'Carrier','');
	WeatherDelay := IF(l.WeatherDelay > 0, IF(l.CarrierDelay > 0,'+Weather','Weather'), '');
	NASDelay := IF(l.NASDelay > 0, IF(l.CarrierDelay > 0 OR l.WeatherDelay > 0,'+NAS','NAS'), '');
	SecurityDelay := IF(l.SecurityDelay > 0, IF(l.CarrierDelay > 0 OR l.WeatherDelay > 0 OR l.NASDelay > 0,'+Security','Security'), '');
	LateAircraftDelay := IF(l.LateAircraftDelay > 0,IF(l.CarrierDelay > 0 OR l.WeatherDelay > 0 OR l.NASDelay > 0 OR l.SecurityDelay > 0,
														'+LateAircraft','LateAircraft'),'');
	
	SELF.DelayCause := CarrierDelay + WeatherDelay + NASDelay + SecurityDelay + LateAircraftDelay;
	
	SELF := l;
END;

JoinFlightData := JOIN(airline_performance_monitor.Clean_FlightInfo,
															airline_performance_monitor.Clean_CarrierLookup,
															LEFT.UniqueCarrier=RIGHT.Code,
															JoinXform(Left,Right),
															LEFT Outer);

OUTPUT(JoinFlightData,,'~data::crm::flightdata',overwrite);
